#
# spec file for package ipadic
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ipadic
Version:        2.7.0
Release:        1.11
Summary:        Standard Japanese Dictionary for ChaSen
License:        SUSE-Permissive
Group:          System/I18n/Japanese
URL:            https://osdn.net/projects/ipadic/
Source0:        https://osdn.net/projects/ipadic/downloads/24435/ipadic-2.7.0.tar.gz
Patch0:         ipadic.patch
BuildRequires:  automake
BuildRequires:  chasen-devel
BuildRequires:  perl-Text-ChaSen
#!BuildIgnore:  ipadic
# FIXME: use proper Requires(pre/post/preun/...)
PreReq:         %{install_info_prereq}
BuildArch:      noarch

%description
Standard Japanese dictionary for ChaSen.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
  --with-dicdir=%{_datadir}/chasen/dic/ \
  --with-chasenrc-path=%{_sysconfdir}/chasenrc
# single thread, broken with parallel build
make

%install
%make_install
rm -f %{buildroot}/%{_infodir}/dir

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS* README*
%doc doc/*.pdf
%dir %{_datadir}/chasen/
%{_datadir}/chasen/*
%config %{_sysconfdir}/chasenrc

%changelog
* Wed May 12 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 2.7.0
  * Parameters are updated
  * CTYPE/CFORM are modified
- Use configure macro
- Updated ipadic.patch
* Sat Dec 21 2013 coolo@suse.com
- buildignore our own name to avoid bootstap problems with
  chasen
* Tue Dec 20 2011 coolo@suse.com
- general cleanup of spec file
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Feb 23 2004 hmacht@suse.de
- building as non-root
* Mon Aug 25 2003 mfabian@suse.de
- update to 2.6.3.
* Fri Jun 13 2003 mfabian@suse.de
- fix file list because of "directories not owned by any package"
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Thu Feb 13 2003 mfabian@suse.de
- I forgot "Prereq:       %%install_info_prereq", sorry.
* Wed Feb 12 2003 mfabian@suse.de
- use %%install_info macro (Bug #23429)
* Mon Jan 13 2003 mfabian@suse.de
- remove 'Requires: chasen'
  (there was a loop because chasen also required ipadic)
* Sat Nov  3 2001 mfabian@suse.de
- update to 2.4.4
- move chasenrc to /etc/chasenrc
- include new info files in file list
* Wed Jan 17 2001 mfabian@suse.de
- new package: ipadic-2.4.1
